<?php
  ///////////////////////////////////////////////////
  //2007 (C)
  //Карпухин Павел
  ///////////////////////////////////////////////////

  $lang = substr($_SERVER["HTTP_ACCEPT_LANGUAGE"], 0,2);
  if (is_file ("../lang/".$lang."/".$lang.".php")) include "../lang/".$lang."/".$lang.".php";
     else include "../lang/ru/ru.php";

  $title=$titlepage = $TEXT['supp-vazh-title2'];
  $helppage = "";

  if(is_file ("../lang/".$lang."/trans.php")) require_once "../lang/".$lang."/trans.php";
     require_once "../lang/ru/trans.php";
  require_once "../config.php";
  require_once "../util/top_layer1.php";

  if($result2['user'] == 1) puterror2($TEXT['error-loginform4']);
  if($result2['master'] == 1) puterror2($TEXT['error-loginform4']);
  if($result2['manager'] == 1) puterror2($TEXT['error-loginform4']);

  if(empty($_POST['srochnost'])) puterror2($TEXT['error-vazh1']);
  if(strlen($_POST['srochnost'])>255) puterror2($TEXT['error-vazh2']);
  if(empty($_POST['position'])) puterror2($TEXT['error-nd4']);
  if(strlen($_POST['position'])>11) puterror2($TEXT['error-nd5']);

  if(isset($_POST['srochnost'])) $srochnost=trim($_POST['srochnost']);
    else $srochnost="";
     if (empty($srochnost)) puterror2($TEXT['error-vazh3']);

  if(isset($_POST['position'])) $position=trim($_POST['position']);
    else $position="";
     if (empty($position)) puterror2($TEXT['error-nd7']);

  $_POST['srochnost'] = rep($_POST['srochnost']);
  $_POST['position'] = rep($_POST['position']);

    if($_FILES['photo']['size'] > 1024*2*1024) puterror2($TEXT['error-pic3']);
    if (!empty($_FILES['photo']['tmp_name']))
      {
       $ext = strrchr($_FILES['photo']['name'], ".");
       $name = $_POST['srochnost'];
       $vazh = "vazh_".translate($name)."_";
       $image = "../photo/$vazh".date("YmdHis",time())."$ext";

          if (copy($_FILES['photo']['tmp_name'], "../".$image))
            {
            unlink($_FILES['photo']['tmp_name']);
            chmod("../".$image, 0644);
            }
     }
      else $image = "";

  $query_chk = "SELECT `srochnost` FROM `tbl_supp_srochnost` WHERE `srochnost`='".$_POST['srochnost']."' ";
     $result_chk = mysql_query($query_chk);
     if (!$result_chk) puterror2($TEXT['error-tbl24']);
       if (mysql_num_rows($result_chk)>0) puterror2($TEXT['global-est']);

  //*************************************
  $ip = $_SERVER['REMOTE_ADDR'];
  $doing = $TEXT['log-supp4'];
  $what = $_POST['srochnost'];
  $who = $result2['fullname'];
  //*************************************
  $query = "INSERT INTO `tbl_supp_srochnost` ( `sroch_id` , `srochnost`, `pic_sr`, `position` ) VALUES ( NULL , '".$_POST['srochnost']."', '$image', '".$_POST['position']."') ";
  if(mysql_query($query))
  {
    $query2 = "INSERT INTO `tbl_logs` ( `log_id` , `data` , `ip` , `who` , `doing` , `what` ) VALUES ( NULL , NOW() , '$ip' , '$who' , '$doing' , '$what')";
        if(mysql_query($query2))
           {
             echo "<html><head>
                   <meta HTTP-EQUIV='Refresh' CONTENT='0; URL=index-vazh.php' />
                   </head></html>";
           } else puterror2($TEXT['error-log']);
  } else puterror2($TEXT['error-vazh8']);
  require_once "../util/bottom.php";
?>
